Subject: bug#55478: 29.0.50; pp-emacs-lisp-code prints '("a") as (a)

From: Visuwesh <[email-masked]>
Date: Fri, 20 May 2022 10:11:06 +0530

[வெள்ளி மே 20, 2022] Lars Ingebrigtsen wrote:

> Visuwesh <[email-masked]> writes:
>
>> Thanks for the quick fix.  But it begs the question: what about other
>> instances of princ?  Should they be replaced with prin1 as well?
>
> I had a very quick skim over the other instances of princ, but nothing
> immediately stood out as problematic.  Did you have anything in
> particular in mind?

I was thinking the vector case could be problematic: I just realised why
the cookies file randomly got "corrupted" (strings were printed as
symbols).  But I'm trying it with the cookie that was problematic again,
and I don't see the problem anymore, so I don't think there's anything
to do here (I also took a quick glance).